Skip to main content
POST
/
api
/
v1
/
canvases
/
{canvasId}
/
agent-presence
Set agent presence
curl --request POST \
  --url https://api.melius.com/api/v1/canvases/{canvasId}/agent-presence \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-team-id: <api-key>' \
  --data '
{
  "claim": {
    "status": "<string>",
    "nodeIds": [],
    "bounds": {
      "x": 123,
      "y": 123,
      "w": 1,
      "h": 1
    }
  },
  "presenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.melius.com/api/v1/canvases/{canvasId}/agent-presence"

payload = {
"claim": {
"status": "<string>",
"nodeIds": [],
"bounds": {
"x": 123,
"y": 123,
"w": 1,
"h": 1
}
},
"presenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
claim: {status: '<string>', nodeIds: [], bounds: {x: 123, y: 123, w: 1, h: 1}},
presenceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.melius.com/api/v1/canvases/{canvasId}/agent-presence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

canvasId
string<uuid>
required

Body

application/json

Body

claim
object | null
required
presenceId
string<uuid>

Response

204

Last modified on July 9, 2026